// ColorDlgProDlg.h : header file
//

#if !defined(AFX_COLORDLGPRODLG_H__11318DFC_289B_4CB9_8045_08E2961542E3__INCLUDED_)
#define AFX_COLORDLGPRODLG_H__11318DFC_289B_4CB9_8045_08E2961542E3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CColorDlgProDlg dialog
#include"ColorRangeCtrl.h"
#include "mw4gameed2.h"
#define WM_UPDATEGAME WM_USER+1
class CPanelDlg;

class CColorDlgProDlg : public CDialog
{
// Construction
public:
	CColorDlgProDlg(COLORREF *col,CPanelDlg* pParent = NULL);	// standard constructor
	COLORREF m_Color;
	CPanelDlg *Owner;
	// Dialog Data
	//{{AFX_DATA(CColorDlgProDlg)
	enum { IDD = IDD_COLORDLGPRO_DIALOG };
	CColorRangeCtrl	m_RedCtrl;
	CColorRangeCtrl	m_GreenCtrl;
	CColorRangeCtrl	m_BlueCtrl;
	CStatic	m_ColDisplay;
	UINT	m_BlueNum;
	UINT	m_GreenNum;
	UINT	m_RedNum;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorDlgProDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	void UpdateResultColor();
	void SetResultColor(COLORREF col);
	HCURSOR OldCur,PickerCur;
	COLORREF OrgColor;
	COLORREF *ColPtr;
	bool IsPicking;
	BOOL Create(CWnd* pParentWnd);

	// Generated message map functions
	//{{AFX_MSG(CColorDlgProDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnChangeBluenum();
	afx_msg void OnChangeGreennum();
	afx_msg void OnChangeRednum();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORDLGPRODLG_H__11318DFC_289B_4CB9_8045_08E2961542E3__INCLUDED_)
